Get the list of rewards.
Returns the list of all the rewards generated for a consumer (gifts and cashbacks).
GET
Get the list of rewards.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Query Parameters
Filter by amount
Amount of the transaction
Filter by bankwire_ref
Filter by consumer
Consumer
Filter by created_at
Filtering on date of creation between -- after -- before --
Filter by executed_at
Execution date of the transaction
the page number
Required range:
x >= 1the number of elements per page
Required range:
1 <= x <= 100Sort by given attribute
Available options:
amount, status, created_at, executed_at, consumer, bankwire_ref, type, -amount, -status, -created_at, -executed_at, -consumer, -bankwire_ref, -type Filter by status
Available options:
CANCELLED, PENDING_VALIDATION, VALIDATED, PAID_IN, PAID_OUT, ERROR Filtering on reward type
Available options:
CASHBACK, GIFT Get the list of rewards.